Share via


Web Apps - Get Instance MS Deploy Log Slot

Description for Get the MSDeploy Log for the last MSDeploy operation.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/instances/{instanceId}/extensions/MSDeploy/log?api-version=2025-05-01

URI Parameters

Name In Required Type Description
instanceId
path True

string

ID of web app instance.

name
path True

string

Name of web app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of web app slot. If not specified then will default to production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

MSDeployLog

Azure operation completed successfully.

404 Not Found

The server cannot find the requested resource.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

MSDeployLog

MSDeploy log

MSDeployLogEntry

MSDeploy log entry

MSDeployLogEntryType

Log entry type

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

MSDeployLog

MSDeploy log

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.entries

MSDeployLogEntry[]

List of log entry messages

type

string

Resource type.

MSDeployLogEntry

MSDeploy log entry

Name Type Description
message

string

Log entry message

time

string (date-time)

Timestamp of log entry

type

MSDeployLogEntryType

Log entry type

MSDeployLogEntryType

Log entry type

Value Description
Message
Warning
Error